@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  jasper-jspc startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and JASPER_JSPC_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\com.liferay.jasper.jspc-1.0.11.jar;%APP_HOME%\lib\com.liferay.portal.servlet.jsp.compiler-1.0.5.jar;%APP_HOME%\lib\ant-1.9.4.jar;%APP_HOME%\lib\com.liferay.osgi.util-2.0.5.jar;%APP_HOME%\lib\javax.servlet.jsp.jstl-1.2.3.jar;%APP_HOME%\lib\org.osgi.compendium-5.0.0.jar;%APP_HOME%\lib\javax.servlet.jsp-2.3.3-b02.LIFERAY-PATCHED-1.jar;%APP_HOME%\lib\javax.servlet-3.2-b06.jar;%APP_HOME%\lib\ant-launcher-1.9.4.jar;%APP_HOME%\lib\org.osgi.core-5.0.0.jar;%APP_HOME%\lib\jstl-api-1.2.jar;%APP_HOME%\lib\javax.servlet.jsp-2.3.3-b02.jar;%APP_HOME%\lib\javax.servlet.jsp-api-2.3.2-b01.jar;%APP_HOME%\lib\javax.el-3.0.1-b08.jar

@rem Execute jasper-jspc
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %JASPER_JSPC_OPTS%  -classpath "%CLASSPATH%" com.liferay.jasper.jspc.JspC %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable JASPER_JSPC_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%JASPER_JSPC_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
